package com.hz.pm.api.gov.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author liuxinxin
 * @since 2023-04-13
 */
@TableName("gov_business_strip")
@ApiModel(value = "GovBusinessStrip对象", description = "")
public class GovBusinessStrip implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String businessStripCode;

    private String businessStripName;

    private String parentCode;

    private String parentName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getBusinessStripCode() {
        return businessStripCode;
    }

    public void setBusinessStripCode(String businessStripCode) {
        this.businessStripCode = businessStripCode;
    }
    public String getBusinessStripName() {
        return businessStripName;
    }

    public void setBusinessStripName(String businessStripName) {
        this.businessStripName = businessStripName;
    }
    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }
    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    @Override
    public String toString() {
        return "GovBusinessStrip{" +
            "id=" + id +
            ", businessStripCode=" + businessStripCode +
            ", businessStripName=" + businessStripName +
            ", parentCode=" + parentCode +
            ", parentName=" + parentName +
        "}";
    }
}
